Findings
List findings
Returns a list of findings, optionally filtered by scan, data point, or category.
curl -X GET "https://api.neostra.io/api/v1/findings?scanId=example_string&dataPointId=example_string&category=example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (JWT)"
import requests
import json
url = "https://api.neostra.io/api/v1/findings?scanId=example_string&dataPointId=example_string&category=example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.neostra.io/api/v1/findings?scanId=example_string&dataPointId=example_string&category=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.neostra.io/api/v1/findings?scanId=example_string&dataPointId=example_string&category=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (JWT)")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.neostra.io/api/v1/findings?scanId=example_string&dataPointId=example_string&category=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (JWT)'
response = http.request(request)
puts response.body
{
"status": 200,
"message": "Success",
"data": {},
"errors": [
"example_string"
]
}
GET
/api/v1/findings
GET
Bearer Token (JWT)
Bearer Tokenstring
RequiredJWT bearer token for authentication
JWT bearer token for authentication
query
scanIdstring
Filter by scan identifier
query
dataPointIdstring
Filter by data point identifier
query
categorystring
Filter by finding category
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token (JWT). JWT bearer token for authentication
Query Parameters
scanIdstring
Filter by scan identifier
dataPointIdstring
Filter by data point identifier
categorystring
Filter by finding category
Responses
statusinteger
HTTP status code
messagestring
Response message
dataobject
Response payload
errorsstring[]
List of error details, if any
Was this page helpful?
Last updated 1 week ago
Built with Documentation.AI